WidgetsDrawingManager

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.render
Class WidgetsDrawingManager

    java.lang.Object
      net.ctdp.rfdynhud.render.WidgetsDrawingManager

    public class WidgetsDrawingManager

extends java.lang.Object

The `WidgetsDrawingManager` handles the drawing of all visible widgets.

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`WidgetsDrawingManager(boolean isEditorMode, int gameResX, int gameResY)` Creates a new `WidgetsDrawingManager`.

Method Summary
`void` | `clearCompleteTexture()`
`int` | `collectTextures(LiveGameData gameData, boolean isEditorMode)`
`void` | `drawWidgets(LiveGameData gameData, boolean isEditorMode, boolean hasWaitingWidgets, boolean completeRedrawForced)` Draws all visible `Widget`s in the list.
`TextureImage2D` | `getMainTexture(int widgetIndex)`
`int` | `getNumTextures()`
`WidgetsManager` | `getRenderListenersManager()`
`TransformableTexture` | `getTexture(int textureIndex)`
`java.nio.ByteBuffer` | `getTextureInfoBuffer()`
`WidgetsConfiguration` | `getWidgetsConfiguration()`
`void` | `onRealtimeEntered(LiveGameData gameData)`
`void` | `refreshTextureInfoBuffer(boolean isEditorMode, LiveGameData gameData, boolean newConfig)`
`void` | `resizeMainTexture(int gameResX, int gameResY)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetsDrawingManager

    public WidgetsDrawingManager(boolean isEditorMode,
                                 int gameResX,
                                 int gameResY)

  Creates a new `WidgetsDrawingManager`.

  Parameters:
    `isEditorMode` - `true`, if the Editor is used for rendering instead of rFactor
    `gameResX` - the game x-resolution (current viewport)
    `gameResY` - the game y-resolution (current viewport)

Method Detail

### getRenderListenersManager

    public final WidgetsManager getRenderListenersManager()

### getWidgetsConfiguration

    public final WidgetsConfiguration getWidgetsConfiguration()

### resizeMainTexture

    public void resizeMainTexture(int gameResX,
                                  int gameResY)

### getMainTexture

    public final TextureImage2D getMainTexture(int widgetIndex)

### collectTextures

    public int collectTextures(LiveGameData gameData,
                               boolean isEditorMode)

### clearCompleteTexture

    public void clearCompleteTexture()

### refreshTextureInfoBuffer

    public void refreshTextureInfoBuffer(boolean isEditorMode,
                                         LiveGameData gameData,
                                         boolean newConfig)

### getNumTextures

    public final int getNumTextures()

### getTextureInfoBuffer

    public final java.nio.ByteBuffer getTextureInfoBuffer()

### getTexture

    public final TransformableTexture getTexture(int textureIndex)

### onRealtimeEntered

    public void onRealtimeEntered(LiveGameData gameData)

### drawWidgets

    public void drawWidgets(LiveGameData gameData,
                            boolean isEditorMode,
                            boolean hasWaitingWidgets,
                            boolean completeRedrawForced)

  Draws all visible `Widget`s in the list.

  Parameters:
    `gameData` - the live game data
    `isEditorMode` - `true`, if the Editor is used for rendering instead of rFactor
    `hasWaitingWidgets` -
    `completeRedrawForced` - complete redraw forced?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD